<!--INICIO DO CONTEUDO-->
<section class="content-header">
    </section>

    <section class="content">
      <section class="invoice">

            <form [formGroup]="signupForm" novalidate>
                <div class="row">
                  <div class="col-xs-12">
                    <h2 class="page-header">
                      <i class="fa fa-truck"></i> Informe seus dados
                    </h2>
                  </div>
                </div>

                <div class="row">
  
                  <div class="col-sm-6 col-xs-12">
                    <cg-input-container errorMessage="Campo obrigatório e com 5 caracteres" label="Nome">
                      <input class="form-control" formControlName="name" placeholder="Nome do destinatário" autocomplete="off" >
                    </cg-input-container>
                  </div>
                </div>

                <div class="row">
                  <div class="col-xs-12 col-sm-3">
                    <span class="help-block pull-right has-error-block" *ngIf="signupForm.hasError('emailsNotMatch')"><i class="fa fa-remove"></i> Email-s não conferem.</span>
                  </div>
                </div>

                <div class="row">
                  <div class="col-sm-6 col-xs-12">
                      <cg-input-container errorMessage="E-mail inválido" label="E-mail">
                        <input type="text" class="form-control" formControlName="email" placeholder="E-mail" autocomplete="off">
                      </cg-input-container>
                    </div>
                    <div class="col-sm-6 col-xs-12">
                      <cg-input-container errorMessage="E-mail inválido" label="E-mail">
                        <input type="text" class="form-control" formControlName="emailConfirmation" placeholder="Confirmação do E-mail" autocomplete="off">
                      </cg-input-container>
                    </div>
                </div>

                <div class="row">
                  <div class="col-xs-12 col-sm-3">
                    <span class="help-block pull-right has-error-block" *ngIf="signupForm.hasError('passwordNotMatch')"><i class="fa fa-remove"></i> Senhas não conferem.</span>
                  </div>
                </div>

                <div class="row">
                  <div class="col-sm-6 col-xs-12">
                        <cg-input-container errorMessage="Password inválido" label="Password">
                          <input type="password" class="form-control" formControlName="password" placeholder="Senha" autocomplete="off">
                        </cg-input-container>
                    </div>
                    <div class="col-sm-6 col-xs-12">
                        <cg-input-container errorMessage="Password inválido" label="Password">
                          <input type="password" class="form-control" formControlName="passwordConfirmation" placeholder="Confirmação da Senha" autocomplete="off">
                        </cg-input-container>
                    </div>
                </div>

                <div class="row">
                  <!-- accepted payments column -->
                  <div class="col-sm-6 col-xs-12">
                    <p>Perfil:</p>
                      <div class="form-group">
                          <cg-radio [options]="profileOptions" formControlName="profiles"></cg-radio>
                      </div>
                  </div>
                </div>  
                <!-- /.row -->
  
            </form>

            <div class="row">
              <div class="col-xs-12">
                <button (click)="signUp(signupForm)" class="btn btn-success pull-right"
                  [disabled]="!signupForm.valid">
                    <i class="fa fa-credit-card"></i> Criar Nova Conta
                </button>
              </div>
            </div>

        </section>
    </section>
    <!-- FIM DO CONTEUDO-->
